Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/JDBCConnectionPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/JDBCConnectionPanel.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/JDBCConnectionPanel.java	(revision 43920)
@@ -50,10 +50,10 @@
 
     private static final Logger LOG = LoggerFactory.getLogger(JDBCConnectionPanel.class);
     private org.gvsig.fmap.dal.swing.jdbc.JDBCConnectionPanel connectionPanel;
-    private final ExporttoJDBCOptions provider;
+    private final ExporttoJDBCOptions options;
 
-    public JDBCConnectionPanel(ExporttoJDBCOptions provider) {
-        this.provider = provider;
+    public JDBCConnectionPanel(ExporttoJDBCOptions options) {
+        this.options = options;
         initComponents();
     }
 
@@ -85,6 +85,7 @@
         }
         try {
             connection.validate();
+            this.options.setExplorerParameters(this.getServerExplorerParameters());
             return true;
         } catch (ValidateDataParametersException ex) {
             throw new ExporttoPanelValidationException(ex.getMessageStack(),ex);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/GeometryIndexPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/GeometryIndexPanel.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/GeometryIndexPanel.java	(revision 43920)
@@ -5,7 +5,6 @@
 import org.gvsig.exportto.swing.prov.jdbc.ExporttoJDBCOptions;
 import org.gvsig.exportto.swing.spi.ExporttoPanelValidationException;
 import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
-import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.i18n.I18nManager;
 import org.slf4j.Logger;
@@ -17,10 +16,10 @@
     
     private static final Logger logger = LoggerFactory.getLogger(GeometryIndexPanel.class);
 
-    private ExporttoJDBCOptions provider;
+    private final ExporttoJDBCOptions options;
 
-    public GeometryIndexPanel(ExporttoJDBCOptions provider) {
-        this.provider = provider;
+    public GeometryIndexPanel(ExporttoJDBCOptions options) {
+        this.options = options;
         initComponents();
     }
 
@@ -35,23 +34,23 @@
         this.chkCreateGeometryIndex.setText(i18nManager.getTranslation("_Crear_indice_espacial_sobre_las_columnas_de_tipo_geometria"));
     }
 
+    @Override
     public String getPanelTitle() {
         I18nManager i18nManager = ToolsLocator.getI18nManager();
         return i18nManager.getTranslation("_Create_spatial_index");    
     }
 
+    @Override
     public boolean isValidPanel() throws ExporttoPanelValidationException {
+        this.options.setCreateIndexInGeometryRow(this.chkCreateGeometryIndex.isSelected());
         return true;
     }
     
+    @Override
     public void enterPanel() {
-        if( this.provider.canCreatetable() ) {
+        if( this.options.canCreatetable() ) {
             int index = -1;
-            try {
-                index = this.provider.getSource().getDefaultFeatureType().getDefaultGeometryAttributeIndex();
-            } catch (DataException ex) {
-                logger.warn("Problems determining if the tabla has a geometry column",ex);
-            }
+            index = this.options.getSourceFeatureType().getDefaultGeometryAttributeIndex();
             if( index <0 ) {
                 this.chkCreateGeometryIndex.setEnabled(false);
                 this.chkCreateGeometryIndex.setSelected(false);
@@ -65,6 +64,7 @@
         }
     }
     
+    @Override
     public JComponent asJComponent() {
         return this;
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/PostCreatingStatementPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/PostCreatingStatementPanel.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/PostCreatingStatementPanel.java	(revision 43920)
@@ -16,10 +16,10 @@
 public class PostCreatingStatementPanel extends PostCreatingStatementPanelLayout implements ExporttoSwingProviderPanel {
     private static final long serialVersionUID = 7106687071248901180L;
 
-    private ExporttoJDBCOptions provider;
+    private final ExporttoJDBCOptions options;
 
-    public PostCreatingStatementPanel(ExporttoJDBCOptions provider) {
-        this.provider = provider;
+    public PostCreatingStatementPanel(ExporttoJDBCOptions options) {
+        this.options = options;
         initComponents();
     }
 
@@ -29,6 +29,7 @@
         this.txtPostCreatingStatement.setText("");
         this.txtPostCreatingStatement.setEnabled(false);
         this.chkUsePostCreatingStatement.addActionListener(new ActionListener() {
+            @Override
             public void actionPerformed(ActionEvent ae) {
                 doChangeUsePostCreatingStatement();
             }
@@ -47,23 +48,28 @@
         this.txtPostCreatingStatement.setEnabled(this.chkUsePostCreatingStatement.isSelected());
     }
     
+    @Override
     public String getPanelTitle() {
         I18nManager i18nManager = ToolsLocator.getI18nManager();
         return i18nManager.getTranslation("_Post_creating_statement");    
     }
 
+    @Override
     public boolean isValidPanel() throws ExporttoPanelValidationException {
+        this.options.setPostCreatingStatement(this.getPostCreatingStatement());
         return true;
     }
     
+    @Override
     public void enterPanel() {
-        if( this.provider.canCreatetable() ) {
+        if( this.options.canCreatetable() ) {
             this.chkUsePostCreatingStatement.setEnabled(true);
         } else {
             this.chkUsePostCreatingStatement.setEnabled(false);
         }
     }
     
+    @Override
     public JComponent asJComponent() {
         return this;
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/SelectTableNamePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/SelectTableNamePanel.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/SelectTableNamePanel.java	(revision 43920)
@@ -26,7 +26,6 @@
 import java.awt.event.ActionListener;
 import java.util.Iterator;
 import java.util.List;
-import java.util.logging.Level;
 
 import javax.swing.DefaultListModel;
 import javax.swing.JComponent;
@@ -46,9 +45,6 @@
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
 import org.gvsig.fmap.dal.SQLBuilder;
-import org.gvsig.fmap.dal.exception.InitializeException;
-import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
-import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
 import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorer;
 import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorerParameters;
 import org.gvsig.fmap.dal.store.jdbc.JDBCStoreParameters;
@@ -71,7 +67,7 @@
     private static final Logger logger = LoggerFactory.getLogger(SelectTableNamePanel.class);
 
     private static final long serialVersionUID = 6269512983586358017L;
-    private final ExporttoJDBCOptions provider;
+    private final ExporttoJDBCOptions options;
 
     private FillTablesListTask task = null;
     private SQLBuilder sqlbuilder;
@@ -102,8 +98,9 @@
         }
     }
 
-    public SelectTableNamePanel(ExporttoJDBCOptions provider) {
-        this.provider = provider;
+    @SuppressWarnings("OverridableMethodCallInConstructor")
+    public SelectTableNamePanel(ExporttoJDBCOptions options) {
+        this.options = options;
         initComponents();
         this.addAncestorListener(new AncestorListener() {
 
@@ -139,7 +136,7 @@
         this.rdoInsert.setEnabled(false);
         this.lstTables.setEnabled(false);
         try {
-            this.txtTableName.setText(this.provider.getSource().getName());
+            this.txtTableName.setText(this.options.getSourceFeatureStore().getName());
         } catch (Exception ex) {
             logger.warn("Can't set the default value for the table name", ex);
         }
@@ -227,14 +224,14 @@
         }
         if (this.rdoCreateTable.isSelected()) {
             String tablename_tr = tablename;
-            if( this.provider.getTranslateIdentifiersToLowerCase() ) {
+            if( this.options.getTranslateIdentifiersToLowerCase() ) {
                 tablename_tr = tablename_tr.toLowerCase();
             }
-            if( this.provider.getTranslateHyphens()) {
+            if( this.options.getTranslateHyphens()) {
                 tablename_tr = tablename_tr.replace("-", "_");
                 tablename_tr = tablename_tr.replace(".", "_");                
             }
-            if( this.provider.getRemoveSpacesInIdentifiers() ) {
+            if( this.options.getRemoveSpacesInIdentifiers() ) {
                 tablename_tr = StringUtils.normalizeSpace(tablename_tr).replace(" ", "_");
             }
             if( !tablename_tr.equals(tablename) ) {
@@ -271,12 +268,14 @@
                 }
             }
         }
+        this.options.setSchema(this.getSchema());
+        this.options.setTableName(this.getTableName());
         return true;
     }
 
     @Override
     public void enterPanel() {
-        JDBCServerExplorerParameters explorerParameters = provider.getExplorerParameters();
+        JDBCServerExplorerParameters explorerParameters = options.getExplorerParameters();
         if (explorerParameters != null) {
             try {
                 DataManager dataManager = DALLocator.getDataManager();
@@ -311,7 +310,7 @@
 
     private void fillTablesList() {
 
-        JDBCServerExplorerParameters explorerParameters = this.provider.getExplorerParameters();
+        JDBCServerExplorerParameters explorerParameters = this.options.getExplorerParameters();
         if (explorerParameters == null) {
             return;
         }
@@ -335,8 +334,8 @@
         @Override
         public void run() {
 
-            JDBCServerExplorerParameters explorerParameters = provider.getExplorerParameters();
-            if (provider.getExplorerParameters() == null) {
+            JDBCServerExplorerParameters explorerParameters = options.getExplorerParameters();
+            if (options.getExplorerParameters() == null) {
                 return;
             }
             final SimpleTaskStatus status = this.getSimpleTaskStatus();
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/panel/EncodingPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/panel/EncodingPanelView.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/panel/EncodingPanelView.java	(revision 43920)
@@ -0,0 +1,143 @@
+package org.gvsig.exportto.swing.prov.dbf.panel;
+
+import com.jeta.open.i18n.I18NUtils;
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+import javax.swing.Box;
+import javax.swing.ImageIcon;
+import javax.swing.JFrame;
+import javax.swing.JLabel;
+import javax.swing.JList;
+import javax.swing.JPanel;
+import javax.swing.JScrollPane;
+
+
+public class EncodingPanelView extends JPanel
+{
+   JLabel lblEncoding = new JLabel();
+   JList lstEncoding = new JList();
+
+   /**
+    * Default constructor
+    */
+   public EncodingPanelView()
+   {
+      initializePanel();
+   }
+
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
+
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
+
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
+
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
+
+   }
+
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
+
+   /**
+    * Method for recalculating the component orientation for 
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
+
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:8DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),CENTER:DEFAULT:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      lblEncoding.setName("lblEncoding");
+      lblEncoding.setText("_Encoding");
+      jpanel1.add(lblEncoding,cc.xywh(2,2,2,1));
+
+      lstEncoding.setName("lstEncoding");
+      JScrollPane jscrollpane1 = new JScrollPane();
+      jscrollpane1.setViewportView(lstEncoding);
+      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
+      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+      jpanel1.add(jscrollpane1,cc.xy(3,3));
+
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4 },new int[]{ 1,2,3,4 });
+      return jpanel1;
+   }
+
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
+
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/panel/EncodingPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/panel/EncodingPanel.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/panel/EncodingPanel.java	(revision 43920)
@@ -23,82 +23,98 @@
  */
 package org.gvsig.exportto.swing.prov.dbf.panel;
 
-import java.awt.BorderLayout;
-import java.awt.GridBagConstraints;
-import java.awt.GridBagLayout;
+import javax.swing.DefaultListModel;
+import javax.swing.JComponent;
 
-import javax.swing.JComboBox;
-import javax.swing.JLabel;
-import javax.swing.JPanel;
+import org.gvsig.exportto.swing.prov.dbf.ExportDBFOptions;
+import org.gvsig.exportto.swing.spi.ExporttoPanelValidationException;
+import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
+import org.gvsig.fmap.dal.DataStoreParameters;
 
-import org.gvsig.i18n.Messages;
 import org.gvsig.metadata.MetadataLocator;
 import org.gvsig.metadata.MetadataManager;
+import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dynobject.DynField;
 import org.gvsig.tools.dynobject.DynObjectValueItem;
 import org.gvsig.tools.dynobject.DynStruct;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ListElement;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
 
 /**
  * @author gvSIG Team
  * @version $Id$
  * 
  */
-public class EncodingPanel extends JPanel {
+public class EncodingPanel 
+        extends EncodingPanelView 
+        implements ExporttoSwingProviderPanel
+    {
 
-    private JLabel encodingLabel;
-    private JComboBox encodingCombo;
+    private final ExportDBFOptions options;
 
-    public EncodingPanel() {
+
+    public EncodingPanel(ExportDBFOptions options) {
         super();
+        this.options = options;
         initComponents();
-        initEncodingCombo();
     }
 
     private void initComponents() {
-        this.setLayout(new BorderLayout());
-
-        java.awt.GridBagConstraints gridBagConstraints;
-
-        JPanel northPanel = new JPanel();
-        encodingLabel = new JLabel();
-        encodingCombo = new JComboBox();
-
-        northPanel.setLayout(new GridBagLayout());
-
-        encodingLabel.setText(Messages.getText("encoding ") + ": ");
-        gridBagConstraints = new GridBagConstraints();
-        gridBagConstraints.gridx = 0;
-        gridBagConstraints.gridy = 0;
-        northPanel.add(encodingLabel, gridBagConstraints);
-
-        gridBagConstraints = new GridBagConstraints();
-        gridBagConstraints.gridx = 1;
-        gridBagConstraints.gridy = 0;
-        gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
-        gridBagConstraints.weightx = 1.0;
-        northPanel.add(encodingCombo, gridBagConstraints);
-
-        add(northPanel, BorderLayout.NORTH);
-    }
-
-    private void initEncodingCombo() {
         MetadataManager metadataManager = MetadataLocator.getMetadataManager();
         DynStruct dynStruct = metadataManager.getDefinition("DBF");
         DynField dynField = dynStruct.getDynField("Encoding");
-        DynObjectValueItem[] dynObjectValueItem = dynField.getAvailableValues();
-        for (int i = 0; i < dynObjectValueItem.length; i++) {
-            encodingCombo.addItem(dynObjectValueItem[i].getValue());
+        
+        DefaultListModel model = new DefaultListModel();
+        DynObjectValueItem[] encodings = dynField.getAvailableValues();
+        for (DynObjectValueItem encoding : encodings) {
+            model.addElement(new ListElement(encoding.getLabel(),encoding.getValue()));
         }
+        this.lstEncoding.setModel(model);
+        this.lstEncoding.setSelectedIndex(0);
+        
+        String sourceProviderName = this.options.getSourceFeatureStore().getProviderName();
+        if( sourceProviderName.equalsIgnoreCase("Shape") || sourceProviderName.equalsIgnoreCase("DBF") ) {
+            DataStoreParameters params = this.options.getSourceFeatureStore().getParameters();
+            String encoding = (String) params.getDynValue("Encoding");
+            ListElement.setSelected(this.lstEncoding, encoding);
+        }
+        this.translate();
     }
+    
+    private void translate() {
+        ToolsSwingManager i18nc = ToolsSwingLocator.getToolsSwingManager();
+        i18nc.translate(this.lblEncoding);
+    }
 
-    /**
-     * @return
-     */
     public String getEncoding() {
-        String encoding = (String) encodingCombo.getSelectedItem();
-        if ("".equals(encoding)) {
+        ListElement encoding = (ListElement) this.lstEncoding.getSelectedValue();
+        if( encoding==null ) {
             return null;
         }
-        return encoding;
+        return (String) encoding.getValue();
     }
+
+    @Override
+    public String getPanelTitle() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        return i18nManager.getTranslation("_Select_encoding");    
+    }
+
+    @Override
+    public boolean isValidPanel() throws ExporttoPanelValidationException {
+        this.options.setEncoding(this.getEncoding());
+        return true;
+    }
+
+    @Override
+    public void enterPanel() {
+        // Do nothing
+    }
+
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/BaseExportDBFOptions.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/BaseExportDBFOptions.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/BaseExportDBFOptions.java	(revision 43920)
@@ -0,0 +1,38 @@
+package org.gvsig.exportto.swing.prov.dbf;
+
+import java.io.File;
+import org.gvsig.exportto.swing.spi.options.BaseExportOptions;
+
+/**
+ *
+ * @author jjdelcerro
+ */
+public class BaseExportDBFOptions 
+        extends BaseExportOptions
+        implements ExportDBFOptions 
+    {
+
+    private String encoding;
+    private File file;
+
+    @Override
+    public String getEncoding() {
+        return this.encoding;
+    }
+
+    @Override
+    public void setEncoding(String encoding) {
+        this.encoding = encoding;
+    }
+
+    @Override
+    public File getFile() {
+        return this.file;
+    }
+
+    @Override
+    public void setFile(File file) {
+        this.file = file;
+    }
+    
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExportDBFOptions.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExportDBFOptions.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExportDBFOptions.java	(revision 43920)
@@ -0,0 +1,15 @@
+package org.gvsig.exportto.swing.prov.dbf;
+
+import org.gvsig.exportto.swing.spi.options.ExportOptions;
+import org.gvsig.tools.util.HasAFile;
+
+/**
+ *
+ * @author jjdelcerro
+ */
+public interface ExportDBFOptions extends ExportOptions, HasAFile {
+    
+    public String getEncoding();
+    
+    public void setEncoding(String encoding);
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExporttoDBFProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExporttoDBFProvider.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExporttoDBFProvider.java	(revision 43920)
@@ -23,38 +23,14 @@
  */
 package org.gvsig.exportto.swing.prov.dbf;
 
-import java.util.logging.Level;
-import java.util.logging.Logger;
 import org.gvsig.exportto.ExporttoService;
 import org.gvsig.exportto.ExporttoServiceException;
-import org.gvsig.exportto.swing.prov.dbf.panel.ExporttoDBFPanel;
+import org.gvsig.exportto.swing.prov.dbf.panel.EncodingPanel;
 import org.gvsig.exportto.swing.prov.file.AbstractExporttoFileProvider;
 import org.gvsig.exportto.swing.spi.ExporttoSwingProvider;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.tools.service.spi.ProviderServices;
 
-/* gvSIG. Geographic Information System of the Valencian Government
- *
- * Copyright (C) 2007-2008 Infrastructures and Transports Department
- * of the Valencian Government (CIT)
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
- *
- */
-
 /**
  * Exporto provider which gets Exporto from a file.
  * 
@@ -62,29 +38,43 @@
  * @version $Id$
  * 
  */
-public class ExporttoDBFProvider extends AbstractExporttoFileProvider implements
-    ExporttoSwingProvider {
+public class ExporttoDBFProvider 
+        extends AbstractExporttoFileProvider 
+        implements ExporttoSwingProvider
+    {
 
-    private String encoding;
+    @SuppressWarnings("OverridableMethodCallInConstructor")
+    public ExporttoDBFProvider(
+            ProviderServices providerServices,
+            FeatureStore featureStore
+        ) {
+        super(providerServices, featureStore);
+    }
 
-    public ExporttoDBFProvider(ProviderServices providerServices,
-        FeatureStore featureStore) {
-        super(providerServices, featureStore, null, new ExporttoDBFPanel());
+    @Override
+    public ExportDBFOptions getOptions() {
+        if( this.options == null ) {
+            this.options = new BaseExportDBFOptions();
+        }
+        return (ExportDBFOptions) this.options;
     }
 
     @Override
+    protected void addPanels() {
+        this.panelAdd(new EncodingPanel(this.getOptions()));
+    }
+    
+    @Override
     public ExporttoService createExporttoService() {
         try {
-            return new ExporttoDBFService(selectFileOptionPanel.getSelectedFile(),
-                featureStore,
-                ((ExporttoDBFPanel) selectFileOptionPanel).getEncoding());
+            return new ExporttoDBFService(
+                this.getOptions().getFile(),
+                this.getOptions().getSourceFeatureStore(),
+                this.getOptions().getEncoding()
+            );
         } catch (ExporttoServiceException ex) {
             throw new RuntimeException(ex);
         }
     }
     
-    @Override
-    public boolean needsPanelTargetProjection(){
-        return false;
-    }
 }
